VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ProductTable"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa ProductTable
Implements visList
'Zapewnia odpowiedni interfejs dla prezentacji tabeli
Private gridList As MSFlexGrid
Const tabVal = 9
Dim tabChar As String

Private Sub visList_addLine(p As Product)
  gridList.AddItem p.getName + tabChar + p.getQty
End Sub

Private Sub visList_init(c As Control)
  Set gridList = c
  tabChar = Chr$(tabVal)
End Sub

Private Sub visList_removeLine(ByVal num As Integer)
  gridList.RemoveItem num
End Sub
